Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0010362Dwarf FortressDwarf Mode -- Visitorspublic2017-11-25 10:162017-12-19 17:02
ReporterMusaab 
Assigned ToToady One 
PrioritynormalSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version0.44.02 
Target VersionFixed in Version0.44.03 
Summary0010362: Elven spy visitors flooding fort immediately
DescriptionUpon fort creation, before the miners have ever struck the earth, Elven spies with Dwarvish names come flooding into the fort under the guide of Poets and Monster Slayers.
Steps To ReproduceStart a fort.
Additional InformationSaves:
http://dffd.bay12games.com/file.php?id=13224 [^] (0.44.02)
http://dffd.bay12games.com/file.php?id=13261 [^] (0.44.02)
TagsNo tags attached.
Attached Files

- Relationships
related to 0010340resolvedToady One Soldier visitors, ignore visitor cap and act strangely 
has duplicate 0010462resolvedlethosor Incredibly frequent elven visitors 

-  Notes
(0036996)
latias1290 (reporter)
2017-11-25 11:45

I can't confirm this as is, but I did have one elf "poet" with a dwarven name show up long before I had a tavern set up. This happened once, and I have already started (and abandoned due to the lack of coal) several forts.
(0037003)
deathpunch578 (reporter)
2017-11-25 13:03
edited on: 2017-11-25 13:33

I can confirm this. There at least 50 elves in my fort, all with dwarven names.

since the original poster didn't provide a save, I will:http://dffd.bay12games.com/file.php?id=13224 [^]

(0037011)
Cosinus (reporter)
2017-11-25 17:51

Can confirm this for 44.02. The elves will not stop coming. I currently have around 180 of them with my visitor cap at 100. They are all divided between a few professions specifically bards, poets, peddlers, beast hunters, monster slayers, mercenaries and scholars. There were no other professions. Also notable is that they arrive with a constant rate one by one and not in noticeable groups. They all carry wooden weapons (even the civilians) and are all there to "relax".
(0037018)
Detros (manager)
2017-11-26 03:30
edited on: 2017-11-26 03:34

See 0010340:0036950, visitor cap is currently not working for some of them.

This may even be a child report of that 0010340, "Soldier visitors, ignore visitor cap and act strangely" one but I have set it just as "related" for now, for the difference in visitor type.

(0037165)
nakran (reporter)
2017-12-01 11:18
edited on: 2017-12-01 15:54

CAN confirm this for 44.02 with the rate of incoming elves and professions. I'm providing another save http://dffd.bay12games.com/file.php?id=13261 [^]

*edited*: changed file download site to dffd as per FantasticDorf request (thanks man!)

(0037168)
FantasticDorf (reporter)
2017-12-01 12:21

Elves don't naturally possess all of the professions listed if there are legitimate visitors in that elf migration, so those can be clearly ruled out as spies or bugged.

[WANDERER],[SCOUT],[SCHOLAR:PHILOSOPHER],[SCHOLAR:ASTRONOMER],[SCHOLAR:NATURALIST],[SCHOLAR:GEOGRAPHER] are the only ones they possess in vanilla raws. And [WANDERER] is shared between all 3 default friendly races, i will update and edit this space if removing [WANDERER] has any effect.

____________________

Please use the dwarf fortress file depot @Nakran found here, which moderators recommend. http://dffd.bay12games.com/ [^]

- Issue History
Date Modified Username Field Change
2017-11-25 10:16 Musaab New Issue
2017-11-25 11:45 latias1290 Note Added: 0036996
2017-11-25 13:03 deathpunch578 Note Added: 0037003
2017-11-25 13:09 deathpunch578 Issue Monitored: deathpunch578
2017-11-25 13:09 deathpunch578 Issue End Monitor: deathpunch578
2017-11-25 13:33 deathpunch578 Note Edited: 0037003 View Revisions
2017-11-25 17:51 Cosinus Note Added: 0037011
2017-11-26 03:29 Detros Relationship added related to 0010340
2017-11-26 03:30 Detros Note Added: 0037018
2017-11-26 03:31 Detros Assigned To => Detros
2017-11-26 03:31 Detros Status new => confirmed
2017-11-26 03:34 Detros Note Edited: 0037018 View Revisions
2017-11-26 14:06 Button Issue Monitored: Button
2017-11-28 09:47 chaosvolt Issue Monitored: chaosvolt
2017-11-30 12:29 oldmansutton Issue Monitored: oldmansutton
2017-12-01 11:18 nakran Note Added: 0037165
2017-12-01 12:21 FantasticDorf Note Added: 0037168
2017-12-01 15:54 nakran Note Edited: 0037165 View Revisions
2017-12-19 14:28 lethosor Relationship added has duplicate 0010462
2017-12-19 14:29 lethosor Additional Information Updated View Revisions
2017-12-19 17:02 Toady One Status confirmed => resolved
2017-12-19 17:02 Toady One Fixed in Version => Next Version
2017-12-19 17:02 Toady One Resolution open => fixed
2017-12-19 17:02 Toady One Assigned To Detros => Toady One
2017-12-20 06:03 chaosvolt Issue End Monitor: chaosvolt


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker